Skip to main content
`Ctrl`+`K`

# DMPlexSNESComputeBoundaryFEM

Form the boundary values for the local input `X`

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeBoundaryFEM(DM dm, Vec X, PetscCtx ctx)

## Input Parameters

- dm - The mesh

- ctx - The application context

## Output Parameter

- X - Local solution

## See Also

SNES: Nonlinear Solvers, `DM`, `DMPLEX`, `DMPlexComputeJacobianAction()`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages